CheckableComponentSpec (Gradle API 3.4.1)
Date: 2017-03-03

org.gradle.api

## Interface CheckableComponentSpec

- All Superinterfaces:
    ComponentSpec, ModelElement, Named
  All Known Subinterfaces:
    ApplicationBinarySpec, BinarySpec, ClassDirectoryBinarySpec, CUnitTestSuiteBinarySpec, GoogleTestTestSuiteBinarySpec, JarBinarySpec, JUnitTestSuiteBinarySpec, JvmBinarySpec, JvmTestSuiteBinarySpec, LibraryBinarySpec, NativeBinarySpec, NativeExecutableBinarySpec, NativeLibraryBinarySpec, NativeTestSuiteBinarySpec, PlayApplicationBinarySpec, SharedLibraryBinarySpec, StaticLibraryBinarySpec, TestSuiteBinarySpec
  All Known Implementing Classes:
    org.gradle.api.internal.AbstractBuildableComponentSpec, org.gradle.language.base.internal.AbstractLanguageSourceSet, BaseBinarySpec, BaseLanguageSourceSet

      @Incubating
      public interface CheckableComponentSpec
      extends ComponentSpec

  A `ComponentSpec` that is directly checkable via a specified task.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkedBy(Object... tasks)` Adds tasks required to check this component.
    `Task` | `getCheckTask()` Returns the task responsible for checking this component.
    `void` | `setCheckTask(Task checkTask)` Specifies the task responsible for checking this component.

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

- - ### Method Detail

    - #### getCheckTask

          @Nullable
          Task getCheckTask()

      Returns the task responsible for checking this component.

    - #### setCheckTask

          void setCheckTask(Task checkTask)

      Specifies the task responsible for checking this component.

    - #### checkedBy

          void checkedBy(Object... tasks)

      Adds tasks required to check this component. Tasks added this way are subsequently added as dependencies of this component's `check task`.